<?php
/**
 * General panel
 */
Kirki::add_panel( 'general', array(
	'title'          => esc_attr__( 'General', 'faithpress' ),
	'description'    => esc_attr__( 'Customize general elements of the theme.', 'faithpress' ),
	'priority'       => 130,
) );

/**
 * General section
 */
Kirki::add_section( 'general_settings', array(
	'title'          => esc_attr__( 'General Settings', 'faithpress' ),
	'priority'       => 1,
	'panel'          => 'general'
) );

/**
 * Loading
 */
Kirki::add_field( 'faithpress_options', array(
	'type'        => 'toggle',
	'settings'    => 'loading',
	'label'       => esc_attr__( 'Page Loading', 'faithpress' ),
	'description' => esc_attr__( 'Enable page loading animation.', 'faithpress' ),
	'section'     => 'general_settings',
	'default'     => '1',
) );
