<?php
/**
 * TGM Plugin Lists
 */

/**
 * Register required and recommended plugins.
 */
function faithpress_register_plugins() {

	$plugins = array(

		array(
			'name'     => 'FaithPress Addon',
			'slug'     => 'faithpress-addon',
			'source'   => trailingslashit( get_template_directory() ) . 'inc/plugins/faithpress-addon.zip',
			'required' => true,
		),

		array(
			'name'     => 'Elementor',
			'slug'     => 'elementor',
			'required' => false,
		),

		array(
			'name'     => 'One Click Demo Import',
			'slug'     => 'one-click-demo-import',
			'required' => false,
		),

		array(
			'name'     => 'The Events Calendar',
			'slug'     => 'the-events-calendar',
			'required' => false,
		),

		array(
			'name'     => 'Advanced Sermons',
			'slug'     => 'advanced-sermons',
			'required' => false,
		),

		array(
			'name'     => 'MailOptin',
			'slug'     => 'mailoptin',
			'required' => false,
		),

		array(
			'name'     => 'Contact Form 7',
			'slug'     => 'contact-form-7',
			'required' => false,
		),

	);

	$config = array(
		'id'           => 'tgmpa',
		'default_path' => '',
		'menu'         => 'tgmpa-install-plugins',
		'has_notices'  => true,
		'dismissable'  => true,
		'dismiss_msg'  => '',
		'is_automatic' => false,
		'message'      => '',
	);

	tgmpa( $plugins, $config );

}
add_action( 'tgmpa_register', 'faithpress_register_plugins' );
