<?php if ( has_nav_menu ( 'menu-1' ) ) : ?>
	<nav class="main-navigation" id="site-navigation">

		<?php
		if ( function_exists( 'wp_megamenu' ) ) {
		 	$wpmm_nav_location_settings = get_wpmm_option( 'menu-1' );
		 	if ( !empty( $wpmm_nav_location_settings['is_enabled'] ) ){
		 		wp_megamenu( array( 'theme_location' => 'menu-1' ) );
		 	} else {
		 		wp_nav_menu(
					array(
						'theme_location'  => 'menu-1',
						'menu_id'         => 'menu-primary-items',
						'menu_class'      => 'menu-primary-items menu',
						'container'       => false
					)
				);
			}
		} else {
			wp_nav_menu(
				array(
					'theme_location'  => 'menu-1',
					'menu_id'         => 'menu-primary-items',
					'menu_class'      => 'menu-primary-items menu',
					'container'       => false
				)
			);

		} ?>

		<?php if ( has_nav_menu ( 'mobile' ) ) : ?>
			<a href="#" class="menu-mobile"><i class="icon-menu"></i></a>
		<?php endif; ?>

		<div class="right-navigation">
			<?php if ( faithpress_is_woocommerce_activated() ) faithpress_wc_header_cart(); ?>
			<?php get_template_part( 'partials/menu/search' ); ?>
		</div>

	</nav>
<?php endif; ?>
